{{- if not .Values.existingSecret.enabled -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "patronload.fullname" . }}
  labels:
    {{- include "patronload.labels" . | nindent 4 }}
type: Opaque
data:
  ALMA_AWS_ACCESS_KEY_ID: {{ .Values.almaMinio.awsAccessKey | b64enc | quote }}
  ALMA_AWS_SECRET_ACCESS_KEY: {{ .Values.almaMinio.awsSecretKey | b64enc | quote }}
  ALMA_BUCKET: {{ .Values.almaMinio.bucket | b64enc | quote }}
  ALMA_ENDPOINT_URL: {{ .Values.almaMinio.endpointUrl | b64enc | quote }}
  AWS_ACCESS_KEY_ID: {{ .Values.minio.awsAccessKey | b64enc | quote }}
  AWS_SECRET_ACCESS_KEY: {{ .Values.minio.awsSecretKey | b64enc | quote }}
  BUCKET: {{ .Values.minio.bucket | b64enc | quote }}
  DB2DATABASE: {{ .Values.oracleDB2.database | b64enc | quote }}
  DB2HOST: {{ .Values.oracleDB2.host | b64enc | quote }}
  DB2PASSWORD: {{ .Values.oracleDB2.password | b64enc | quote }}
  DB2USER: {{ .Values.oracleDB2.username | b64enc | quote }}
  ENDPOINT_URL: {{ .Values.minio.endpointUrl | b64enc | quote }}
  LDAP_PASSWORD: {{ .Values.ldap.password | b64enc | quote }}
  LDAP_USER: {{ .Values.ldap.username | b64enc | quote }}
  SFTP_PASSWORD: {{ .Values.sftp.password | b64enc | quote }}
  SFTP_PATH: {{ .Values.sftp.path | b64enc | quote }}
  SFTP_SERVER: {{ .Values.sftp.server | b64enc | quote }}
  SFTP_USERNAME: {{ .Values.sftp.username | b64enc | quote }}
{{- end }}
